# Generated by Django 3.2.16 on 2022-11-22 15:08

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("members", "0001_initial"),
        ("ideal", "0002_auto_20221115_1919"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="transaction",
            name="mollie_transaction_id",
        ),
        migrations.AddField(
            model_name="transaction",
            name="_mollie_payment_id",
            field=models.CharField(max_length=30, null=True, unique=True),
        ),
        migrations.AlterField(
            model_name="transaction",
            name="amount",
            field=models.DecimalField(
                decimal_places=2,
                default=0,
                help_text="the amount for this transaction",
                max_digits=10,
            ),
        ),
        migrations.AlterField(
            model_name="transaction",
            name="buyer",
            field=models.ForeignKey(
                help_text="the contact who makes the transaction",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="members.contact",
            ),
        ),
        migrations.AlterField(
            model_name="transaction",
            name="currency",
            field=models.CharField(
                choices=[("EUR", "Euro"), ("USD", "US dollar")],
                default="EUR",
                help_text="the currency for this transaction",
                max_length=3,
            ),
        ),
        migrations.AlterField(
            model_name="transaction",
            name="description",
            field=models.TextField(
                help_text="a description of the transaction", max_length=200, null=True
            ),
        ),
        migrations.AlterField(
            model_name="transaction",
            name="payment_status",
            field=models.CharField(
                choices=[
                    ("PAID", "Paid"),
                    ("PENDING", "Pending"),
                    ("OPEN", "Open"),
                    ("CANCELLED", "Cancelled"),
                    ("EXPIRED", "Expired"),
                ],
                default="OPEN",
                help_text="current status of this payment",
                max_length=10,
            ),
        ),
    ]
